<?php

// Version: 1.1.5; index
/*	This template is, perhaps, the most important template in the theme. It

	contains the main template layer that displays the header and footer of

	the forum, namely with main_above and main_below. It also contains the

	menu sub template, which appropriately displays the menu; the init sub

	template, which is there to set the theme up; (init can be missing.) and

	the linktree sub template, which sorts out the link tree.
	The init sub template should load any data and set any hardcoded options.
	The main_above sub template is what is shown above the main content, and

	should contain anything that should be shown up there.
	The main_below sub template, conversely, is shown after the main content.

	It should probably contain the copyright statement and some other things.
	The linktree sub template should display the link tree, using the data

	in the $context['linktree'] variable.
	The menu sub template should display all the relevant buttons the user

	wants and or needs.
	For more information on the templating system, please see the site at:

	http://www.simplemachines.org/

*/
// Initialize the template... mainly little settings.

function template_init()

{

	global $context, $settings, $options, $txt;
	/* Use images from default theme when using templates from the default theme?

		if this is 'always', images from the default theme will be used.

		if this is 'defaults', images from the default theme will only be used with default templates.

		if this is 'never' or isn't set at all, images from the default theme will not be used. */

	$settings['use_default_images'] = 'never';
	/* What document type definition is being used? (for font size and other issues.)

		'xhtml' for an XHTML 1.0 document type definition.

		'html' for an HTML 4.01 document type definition. */

	$settings['doctype'] = 'xhtml';
	/* The version this template/theme is for.

		This should probably be the version of SMF it was created for. */

	$settings['theme_version'] = '1.1';
	/* Set a setting that tells the theme that it can render the tabs. */

	$settings['use_tabs'] = true;
	/* Use plain buttons - as oppossed to text buttons? */

	$settings['use_buttons'] = true;
	/* Show sticky and lock status seperate from topic icons? */

	$settings['seperate_sticky_lock'] = true;

}
// The main sub template above the content.

function template_main_above()

{

	global $context, $settings, $options, $scripturl, $txt, $modSettings;
	// Show right to left and the character set for ease of translating.

	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '><head>

	<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />

	<meta name="description" content="', $context['page_title'], '" />', empty($context['robot_no_index']) ? '' : '

	<meta name="robots" content="noindex" />', '

	<meta name="keywords" content="PHP, MySQL, bulletin, board, free, open, source, smf, simple, machines, forum" />

	<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/script.js?fin11"></script>

	<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[

		var smf_theme_url = "', $settings['theme_url'], '";

		var smf_images_url = "', $settings['images_url'], '";

		var smf_scripturl = "', $scripturl, '";

		var smf_iso_case_folding = ', $context['server']['iso_case_folding'] ? 'true' : 'false', ';

		var smf_charset = "', $context['character_set'], '";

	// ]]></script>

	<title>', $context['page_title'], '</title>';
	// The ?fin11 part of this link is just here to make sure browsers don't cache it wrongly.

	echo '

	<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/style.css?fin11" />

	<link rel="stylesheet" type="text/css" href="', $settings['default_theme_url'], '/print.css?fin11" media="print" />

   <link href="', $settings['theme_url'], '/style.css" rel="alternate stylesheet" type="text/css" title="style"/>

   <link href="', $settings['theme_url'], '/white.css" rel="alternate stylesheet" type="text/css" title="white"/>

';
	/* Internet Explorer 4/5 and Opera 6 just don't do font sizes properly. (they are big...)

		Thus, in Internet Explorer 4, 5, and Opera 6 this will show fonts one size smaller than usual.

		Note that this is affected by whether IE 6 is in standards compliance mode.. if not, it will also be big.

		Standards compliance mode happens when you use xhtml... */

	if ($context['browser']['needs_size_fix'])

		echo '

	<link rel="stylesheet" type="text/css" href="', $settings['default_theme_url'], '/fonts-compat.css" />';
	// Show all the relative links, such as help, search, contents, and the like.

	echo '

	<link rel="help" href="', $scripturl, '?action=help" target="_blank" />

	<link rel="search" href="' . $scripturl . '?action=search" />

	<link rel="contents" href="', $scripturl, '" />';
	// If RSS feeds are enabled, advertise the presence of one.

	if (!empty($modSettings['xmlnews_enable']))

		echo '

	<link rel="alternate" type="application/rss+xml" title="', $context['forum_name'], ' - RSS" href="', $scripturl, '?type=rss;action=.xml" />';
	// If we're viewing a topic, these should be the previous and next topics, respectively.

	if (!empty($context['current_topic']))

		echo '

	<link rel="prev" href="', $scripturl, '?topic=', $context['current_topic'], '.0;prev_next=prev" />

	<link rel="next" href="', $scripturl, '?topic=', $context['current_topic'], '.0;prev_next=next" />';
	// If we're in a board, or a topic for that matter, the index will be the board's index.

	if (!empty($context['current_board']))

		echo '

	<link rel="index" href="' . $scripturl . '?board=' . $context['current_board'] . '.0" />';
	// We'll have to use the cookie to remember the header...

	if ($context['user']['is_guest'])

	{

		$options['collapse_header'] = !empty($_COOKIE['upshrink']);

		$options['collapse_header_ic'] = !empty($_COOKIE['upshrinkIC']);

	}
	// Output any remaining HTML headers. (from mods, maybe?)

	echo $context['html_headers'], '
	<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[

		var current_header = ', empty($options['collapse_header']) ? 'false' : 'true', ';
		function shrinkHeader(mode)

		{';
	// Guests don't have theme options!!

	if ($context['user']['is_guest'])

		echo '

			document.cookie = "upshrink=" + (mode ? 1 : 0);';

	else

		echo '

			smf_setThemeOption("collapse_header", mode ? 1 : 0, null, "', $context['session_id'], '");';
	echo '

			document.getElementById("upshrink").src = smf_images_url + (mode ? "/upshrink2.gif" : "/upshrink.gif");
			document.getElementById("upshrinkHeader").style.display = mode ? "none" : "";

			document.getElementById("upshrinkHeader2").style.display = mode ? "none" : "";
			current_header = mode;

		}

	// ]]></script>';
	// the routine for the info center upshrink

	echo '

		<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[

			var current_header_ic = ', empty($options['collapse_header_ic']) ? 'false' : 'true', ';
			function shrinkHeaderIC(mode)

			{';
	if ($context['user']['is_guest'])

		echo '

				document.cookie = "upshrinkIC=" + (mode ? 1 : 0);';

	else

		echo '

				smf_setThemeOption("collapse_header_ic", mode ? 1 : 0, null, "', $context['session_id'], '");';
	echo '

				document.getElementById("upshrink_ic").src = smf_images_url + (mode ? "/expand.gif" : "/collapse.gif");
				document.getElementById("upshrinkHeaderIC").style.display = mode ? "none" : "";
				current_header_ic = mode;

			}

		// ]]></script>

</head>

<body>';

	// The main content should go here.

	echo '

<div align="center">
	<div class="page" style="width:100%; text-align:left">
		<div style="padding:0px 2px 0px 2px" align="left">
<table class="tborder" cellpadding="6" cellspacing="1" border="0" width="100%" align="center">

	<tr>

		<td height="20" colspan="2" class="sub">

			

', $context['page_title'], '
		</td>

	</tr>

</table></div></div></div>';

	echo '

	<div class="tborder" ', $context['browser']['needs_size_fix'] && !$context['browser']['is_ie6'] ? ' style="width: 100%;"' : '', '>
				<center><a href="', $scripturl, '"><img src="'.$settings['images_url'].'/logo.png" alt="', $context['forum_name'], '" /></a></center> </div>';
	// The main content should go here.

	echo '

<div align="center">
	<div class="page" style="width:100%; text-align:left">
		<div style="padding:0px 2px 0px 2px" align="left">
<table class="tborder" cellpadding="6" cellspacing="1" border="0" width="100%" align="center">

	<tr>

		<td>
			<table cellpadding="2" cellspacing="0" border="0" width="50%" align="center" style="border-top-width:0px">
				<tr align="center">

					', template_menu3(), '

				</tr>

			</table>

		</td>

	</tr>

</table></div></div></div>';
	// The main content should go here.

	echo '

<div align="center">
	<div class="page" style="width:100%; text-align:left">
		<div style="padding:0px 2px 0px 2px" align="left">
<table class="tborder" cellpadding="6" cellspacing="1" border="0" width="100%" align="center">

	<tr>

		<td height="20" colspan="2" class="sub">
			<table cellpadding="2" cellspacing="0" border="0" width="99%" align="center" style="border-top-width:0px">
				<tr align="center">

					', template_menu(), '

				</tr>

			</table>

		</td>

	</tr>

</table></div></div></div>';
echo '

	<div ', $context['browser']['needs_size_fix'] && !$context['browser']['is_ie6'] ? ' style="width: 98%;"' : '', '>';


echo ' <table class="tborder"  style="border-bottom: 0;" border="0" cellpadding="0" cellspacing="0"><tr><td width="30%" class="windowbg2" >';


	

// Show some statistics next to the link tree if SP1 info is off.

	echo '

	<table width="100%" cellpadding="0" cellspacing="0">

		<tr>

			<td valign="middle">', theme_linktree(), '</td>

			';

echo '

							<td height="60" width="20%"  class="middletext">';

// display user name

	

	if($context['user']['is_logged'])

		echo '

				

					<span style="font-size: 100%;"> ', $txt['hello_member_ndt'], ' <b>', $context['user']['name'] , '</b></span><br>

			';


	// If the user is logged in, display stuff like their name, new messages, etc.

	if ($context['user']['is_logged'])

	{

		
// Only tell them about their messages if they can read their messages!

if ($context['allow_pm'])

echo  '', $txt[152], ' <a href="', $scripturl, '?action=pm">', $context['user']['messages'], ' ', $context['user']['messages'] != 1 ? $txt[153] : $txt[471], '</a>', $txt['newmessages4'], ' ', $context['user']['unread_messages'], ' ', $context['user']['unread_messages'] == 1 ? $txt['newmessages0'] : $txt['newmessages1'];

echo '.<br />';


echo '

						<span style="font-size: 100%;">	<a href="', $scripturl, '?action=unread">', $txt['unread_since_visit'], '</a> <br />

								<a href="', $scripturl, '?action=unreadreplies">', $txt['show_unread_replies'], '</a><br />';
	}

	// Otherwise they're a guest - send them a lovely greating...

	else
	// Now, onto our second set of info, are they logged in again?

	if ($context['user']['is_logged'])

	{

		// Is the forum in maintenance mode?

		if ($context['in_maintenance'] && $context['user']['is_admin'])

			echo '

								<b>', $txt[616], '</b><br />';
		// Are there any members waiting for approval?

		if (!empty($context['unapproved_members']))

			echo '

								', $context['unapproved_members'] == 1 ? $txt['approve_thereis'] : $txt['approve_thereare'], ' <a href="', $scripturl, '?action=viewmembers;sa=browse;type=approve">', $context['unapproved_members'] == 1 ? $txt['approve_member'] : $context['unapproved_members'] . ' ' . $txt['approve_members'], '</a> ', $txt['approve_members_waiting'], '<br />';
			// Show the total time logged in?

		if (!empty($context['user']['total_time_logged_in']))

		{

			echo '

								', $txt['totalTimeLogged1'], '<br />';
			// If days is just zero, don't bother to show it.

			if ($context['user']['total_time_logged_in']['days'] > 0)

				echo $context['user']['total_time_logged_in']['days'] . $txt['totalTimeLogged2'];
			// Same with hours - only show it if it's above zero.

			if ($context['user']['total_time_logged_in']['hours'] > 0)

				echo $context['user']['total_time_logged_in']['hours'] . $txt['totalTimeLogged3'];
			// But, let's always show minutes - Time wasted here: 0 minutes ;).

			echo $context['user']['total_time_logged_in']['minutes'], $txt['totalTimeLogged4'], '<br />';

		}
		echo '				';

	}

// Otherwise they're a guest - this time ask them to either register or login - lazy bums...
	else
	{
		echo '				
								<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/sha1.js"></script>

								<form action="', $scripturl, '?action=login2" method="post" accept-charset="', $context['character_set'], '" class="middletext" style="margin: 3px 1ex 1px 0;"', empty($context['disable_login_hashing']) ? ' onsubmit="hashLoginPassword(this, \'' . $context['session_id'] . '\');"' : '', '>
									<input type="text" name="user" size="10" /> <input type="password" name="passwrd" size="10" />
									<select name="cookielength">
										<option value="60">', $txt['smf53'], '</option>
										<option value="1440">', $txt['smf47'], '</option>
										<option value="10080">', $txt['smf48'], '</option>
										<option value="43200">', $txt['smf49'], '</option>
										<option value="-1" selected="selected">', $txt['smf50'], '</option>
									</select>
									<input type="submit" value="', $txt[34], '" /><br />
									<span class="middletext">', $txt['smf52'], '</span>
									<input type="hidden" name="hash_passwrd" value="" />
								</form>';	}

	echo '	</td>
						</tr>

					</table>

				</td>

			</tr>

		</table>';
			echo '	

<div align="center">
	<div class="page" style="width:100%; text-align:left">
		<div style="padding:0px 2px 0px 2px" align="left">
<table class="tborder" cellpadding="6" cellspacing="1" border="0" width="100%" align="center">

	<tr>

		<td height="20" colspan="2" class="sub">
			<table cellpadding="6" cellspacing="0" border="0" width="100%" align="center" style="border-top-width:0px">
				<tr align="center">

					', template_menu2(), '

				</tr>

			</table>

		</td>

	</tr>

</table></div>';


	// Search within current topic?

	if (!empty($context['current_topic']))

		echo '

						<input type="hidden" name="topic" value="', $context['current_topic'], '" />';
		// If we're on a certain board, limit it to this board ;).

	elseif (!empty($context['current_board']))

		echo '

						<input type="hidden" name="brd[', $context['current_board'], ']" value="', $context['current_board'], '" />';
	echo '

			';

	

	// The main content should go here.

	echo '

	<div id="bodyarea" style="padding: 1ex 0px 2ex 0px;">';

}
function template_main_below()

{

	global $context, $settings, $options, $scripturl, $txt;
	echo '

	</div>';
	// Show the "Powered by" and "Valid" logos, as well as the copyright. Remember, the copyright must be somewhere!

	echo '
	<div id="footerarea" style="text-align: center; padding-bottom: 1ex;', $context['browser']['needs_size_fix'] && !$context['browser']['is_ie6'] ? ' width: 100%;' : '', '">

		<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[

			function smfFooterHighlight(element, value)

			{

				element.src = smf_images_url + "/" + (value ? "h_" : "") + element.id + ".gif";

			}

		// ]]></script>

		<table cellspacing="0" cellpadding="3" border="0" align="center" width="100%">

			<tr>

				<td width="28%" valign="middle" align="', !$context['right_to_left'] ? 'right' : 'left', '">

					<a href="http://www.mysql.com/" target="_blank"><img id="powered-mysql" src="', $settings['images_url'], '/powered-mysql.gif" alt="', $txt['powered_by_mysql'], '" width="54" height="20" style="margin: 5px 16px;" onmouseover="smfFooterHighlight(this, true);" onmouseout="smfFooterHighlight(this, false);" /></a>

					<a href="http://www.php.net/" target="_blank"><img id="powered-php" src="', $settings['images_url'], '/powered-php.gif" alt="', $txt['powered_by_php'], '" width="54" height="20" style="margin: 5px 16px;" onmouseover="smfFooterHighlight(this, true);" onmouseout="smfFooterHighlight(this, false);" /></a>

				</td>

				<td valign="middle" align="center" style="white-space: nowrap;">

					', theme_copyright(), ' <br />

This theme was made by <a href="http://www.flashoyunsitesi.com" title="Flash Oyun" target="_blank">Flash Oyun</a> in <a href="http://www.teomanforum.com" title="insanlk halleri, teoman" target="_blank">Teoman</a> and

<a href="http://www.kankacep.com" title="cep telefonu" target="_blank">Cep</a> sponsorship.

				</td>

				<td width="28%" valign="middle" align="', !$context['right_to_left'] ? 'left' : 'right', '">

					<a href="http://validator.w3.org/check/referer" target="_blank"><img id="valid-xhtml10" src="', $settings['images_url'], '/valid-xhtml10.gif" alt="', $txt['valid_xhtml'], '" width="54" height="20" style="margin: 5px 16px;" onmouseover="smfFooterHighlight(this, true);" onmouseout="smfFooterHighlight(this, false);" /></a>

					<a href="http://jigsaw.w3.org/css-validator/check/referer" target="_blank"><img id="valid-css" src="', $settings['images_url'], '/valid-css.gif" alt="', $txt['valid_css'], '" width="54" height="20" style="margin: 5px 16px;" onmouseover="smfFooterHighlight(this, true);" onmouseout="smfFooterHighlight(this, false);" /></a>

				</td>

			</tr>

		</table>';
		// Show the load time?

	if ($context['show_load_time'])

		echo '

		<span class="smalltext">', $txt['smf301'], $context['load_time'], $txt['smf302'], $context['load_queries'], $txt['smf302b'], '</span>';
	// This is an interesting bug in Internet Explorer AND Safari. Rather annoying, it makes overflows just not tall enough.

	if (($context['browser']['is_ie'] && !$context['browser']['is_ie4']) || $context['browser']['is_mac_ie'] || $context['browser']['is_safari'] || $context['browser']['is_firefox'])

	{

		// The purpose of this code is to fix the height of overflow: auto div blocks, because IE can't figure it out for itself.

		echo '

		<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[';
		// Unfortunately, Safari does not have a "getComputedStyle" implementation yet, so we have to just do it to code...

		if ($context['browser']['is_safari'])

			echo '

			window.addEventListener("load", smf_codeFix, false);
			function smf_codeFix()

			{

				var codeFix = document.getElementsByTagName ? document.getElementsByTagName("div") : document.all.tags("div");
				for (var i = 0; i < codeFix.length; i++)

				{

					if ((codeFix[i].className == "code" || codeFix[i].className == "post" || codeFix[i].className == "signature") && codeFix[i].offsetHeight < 20)

						codeFix[i].style.height = (codeFix[i].offsetHeight + 20) + "px";

				}

			}';

		elseif ($context['browser']['is_firefox'])

			echo '

			window.addEventListener("load", smf_codeFix, false);

			function smf_codeFix()

			{

				var codeFix = document.getElementsByTagName ? document.getElementsByTagName("div") : document.all.tags("div");
				for (var i = 0; i < codeFix.length; i++)

				{

					if (codeFix[i].className == "code" && (codeFix[i].scrollWidth > codeFix[i].clientWidth || codeFix[i].clientWidth == 0))

						codeFix[i].style.overflow = "scroll";

				}

			}';

		else

			echo '

			var window_oldOnload = window.onload;

			window.onload = smf_codeFix;
			function smf_codeFix()

			{

				var codeFix = document.getElementsByTagName ? document.getElementsByTagName("div") : document.all.tags("div");
				for (var i = codeFix.length - 1; i > 0; i--)

				{

					if (codeFix[i].currentStyle.overflow == "auto" && (codeFix[i].currentStyle.height == "" || codeFix[i].currentStyle.height == "auto") && (codeFix[i].scrollWidth > codeFix[i].clientWidth || codeFix[i].clientWidth == 0) && (codeFix[i].offsetHeight != 0 || codeFix[i].className == "code"))

						codeFix[i].style.height = (codeFix[i].offsetHeight + 36) + "px";

				}
				if (window_oldOnload)

				{

					window_oldOnload();

					window_oldOnload = null;

				}

			}';
		echo '

		// ]]></script>';

	}
	echo '

	</div>';
// The following will be used to let the user know that some AJAX process is running
	echo '
	<div id="ajax_in_progress" style="display: none;', $context['browser']['is_ie'] && !$context['browser']['is_ie7'] ? 'position: absolute;' : '', '">', $txt['ajax_in_progress'], '</div>
	<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/reflection.js?fin11"></script>
</div></div></div></body></html>';

}

	echo '
';

// Show a linktree. This is that thing that shows "My Community | General Category | General Discussion"..

function theme_linktree()

{

	global $context, $settings, $options;
	echo '<div class="nav" style="font-size: smaller; margin-bottom: 2ex; margin-top: 2ex;">';
	// Each tree item has a URL and name. Some may have extra_before and extra_after.

	foreach ($context['linktree'] as $link_num => $tree)

	{

		// Show something before the link?

		if (isset($tree['extra_before']))

			echo $tree['extra_before'];
		// Show the link, including a URL if it should have one.

		echo '<b>', $settings['linktree_link'] && isset($tree['url']) ? '<a href="' . $tree['url'] . '" class="nav">' . $tree['name'] . '</a>' : $tree['name'], '</b>';
		// Show something after the link...?

		if (isset($tree['extra_after']))

			echo $tree['extra_after'];
		// Don't show a separator for the last one.

		if ($link_num != count($context['linktree']) - 1)

			echo '&nbsp;>&nbsp;';

	}
	echo '</div>';

}
// Show the menu up top. Something like [home] [help] [profile] [logout]...

function template_menu2()

{

	global $context, $settings, $options, $scripturl, $txt;
	// Work out where we currently are.

	$current_action = 'home';

	if (in_array($context['current_action'], array('admin', 'ban', 'boardrecount', 'cleanperms', 'detailedversion', 'dumpdb', 'featuresettings', 'featuresettings2', 'findmember', 'maintain', 'manageattachments', 'manageboards', 'managecalendar', 'managesearch', 'membergroups', 'modlog', 'news', 'optimizetables', 'packageget', 'packages', 'permissions', 'pgdownload', 'postsettings', 'regcenter', 'repairboards', 'reports', 'serversettings', 'serversettings2', 'smileys', 'viewErrorLog', 'viewmembers')))

		$current_action = 'admin';

	if (in_array($context['current_action'], array('search', 'admin', 'calendar', 'profile', 'mlist', 'register', 'login', 'help', 'pm')))

		$current_action = $context['current_action'];

	if ($context['current_action'] == 'search2')

		$current_action = 'search';

	if ($context['current_action'] == 'theme')

		$current_action = isset($_REQUEST['sa']) && $_REQUEST['sa'] == 'pick' ? 'profile' : 'admin';
	// Are we using right-to-left orientation?

	if ($context['right_to_left'])

	{

		$first = 'last';

		$last = 'first';

	}

	else

	{

		$first = 'first';

		$last = 'last';

	}


	// Go to PM center... [pm]
	if ($context['user']['is_logged'] && $context['allow_pm'])
		echo '
				<td class="sub_nav"><a href="', $scripturl, '?action=pm">' , $txt['pm_short'] , ' ', $context['user']['unread_messages'] > 0 ? '[<strong>'. $context['user']['unread_messages'] . '</strong>]' : '' , '</a></td>';
// The [calendar]!
	if ($context['allow_calendar'])
		echo '
				<td class="sub_nav"><a href="', $scripturl, '?action=calendar">' , $txt['calendar24'] , '</a></td>';
	// the [member] list button
	if ($context['allow_memberlist'])
		echo '
				<td class="sub_nav"><a href="', $scripturl, '?action=mlist">' , $txt[331] , '</a></td>';
	// If the user is a guest, show [login] button.
	if ($context['user']['is_guest'])
		echo '
				<td class="sub_nav"><a href="', $scripturl, '?action=login">' , $txt[34] , '</a></td>';
	// If the user is a guest, also show [register] button.
	if ($context['user']['is_guest'])
		echo '
				<td class="sub_nav"><a href="', $scripturl, '?action=register">' , $txt[97] , '</a></td>';
	// Otherwise, they might want to [logout]...
	if ($context['user']['is_logged'])
		echo '
				<td class="sub_nav"><a href="', $scripturl, '?action=logout;sesc=', $context['session_id'], '">' , $txt[108] , '</a></td>';

}


// Show the menu up top. Something like [home] [help] [profile] [logout]...

function template_menu()

{

	global $context, $settings, $options, $scripturl, $txt;
	// Work out where we currently are.

	$current_action = 'home';

	if (in_array($context['current_action'], array('admin', 'ban', 'boardrecount', 'cleanperms', 'detailedversion', 'dumpdb', 'featuresettings', 'featuresettings2', 'findmember', 'maintain', 'manageattachments', 'manageboards', 'managecalendar', 'managesearch', 'membergroups', 'modlog', 'news', 'optimizetables', 'packageget', 'packages', 'permissions', 'pgdownload', 'postsettings', 'regcenter', 'repairboards', 'reports', 'serversettings', 'serversettings2', 'smileys', 'viewErrorLog', 'viewmembers')))

		$current_action = 'admin';

	if (in_array($context['current_action'], array('search', 'admin', 'calendar', 'profile', 'mlist', 'register', 'login', 'help', 'pm')))

		$current_action = $context['current_action'];

	if ($context['current_action'] == 'search2')

		$current_action = 'search';

	if ($context['current_action'] == 'theme')

		$current_action = isset($_REQUEST['sa']) && $_REQUEST['sa'] == 'pick' ? 'profile' : 'admin';
	// Are we using right-to-left orientation?

	if ($context['right_to_left'])

	{

		$first = 'last';

		$last = 'first';

	}

	else

	{

		$first = 'first';

		$last = 'last';

	}
// Show the [home] button.
	echo '
				<td class="sub_nav"><a href="', $scripturl, '">' , $txt[103] , '</a></td>';
	// Show the [help] button.
	echo '
				<td class="sub_nav"><a href="', $scripturl, '?action=help">' , $txt[119] , '</a></td>';
// How about the [search] button?
	if ($context['allow_search'])
		echo '
				<td class="sub_nav"><a href="', $scripturl, '?action=search">' , $txt[182] , '</a></td>';
	// Is the user allowed to administrate at all? ([admin])
	if ($context['allow_admin'])
		echo '
				<td class="sub_nav"><a href="', $scripturl, '?action=admin">' , $txt[2] , '</a></td>';
	// Edit Profile... [profile]
	if ($context['allow_edit_profile'])
		echo '
				<td class="sub_nav"><a href="', $scripturl, '?action=profile">' , $txt[79] , '</a></td>';
}


// Show the menu up top. Something like [home] [help] [profile] [logout]...

function template_menu3()

{

	global $context, $settings, $options, $scripturl, $txt;
	// Work out where we currently are.

	$current_action = 'home';

	if (in_array($context['current_action'], array('admin', 'ban', 'boardrecount', 'cleanperms', 'detailedversion', 'dumpdb', 'featuresettings', 'featuresettings2', 'findmember', 'maintain', 'manageattachments', 'manageboards', 'managecalendar', 'managesearch', 'membergroups', 'modlog', 'news', 'optimizetables', 'packageget', 'packages', 'permissions', 'pgdownload', 'postsettings', 'regcenter', 'repairboards', 'reports', 'serversettings', 'serversettings2', 'smileys', 'viewErrorLog', 'viewmembers')))

		$current_action = 'admin';

	if (in_array($context['current_action'], array('search', 'admin', 'calendar', 'profile', 'mlist', 'register', 'login', 'help', 'pm')))

		$current_action = $context['current_action'];

	if ($context['current_action'] == 'search2')

		$current_action = 'search';

	if ($context['current_action'] == 'theme')

		$current_action = isset($_REQUEST['sa']) && $_REQUEST['sa'] == 'pick' ? 'profile' : 'admin';
	// Are we using right-to-left orientation?

	if ($context['right_to_left'])

	{

		$first = 'last';

		$last = 'first';

	}

	else

	{

		$first = 'first';

		$last = 'last';

	}
// Show the [home] button.
	echo '
				<td><img src="'.$settings['images_url'].'/home.gif" alt="" /><br />

<a href="', $scripturl, '">' , $txt[103] , '</a></td>';
	// Show the [help] button.
	echo '
<td><img src="'.$settings['images_url'].'/help.gif" alt="" /><br />

<a href="', $scripturl, '?action=help">' , $txt[119] , '</a></td>';
// How about the [search] button?
	if ($context['allow_search'])
		echo '
				<td><img src="'.$settings['images_url'].'/search.gif" alt="" /><br />

<a href="', $scripturl, '?action=search">' , $txt[182] , '</a></td>';
	// Is the user allowed to administrate at all? ([admin])
	if ($context['allow_admin'])
		echo '
				<td><img src="'.$settings['images_url'].'/home.gif" alt="" /><br />

<a href="', $scripturl, '?action=admin">' , $txt[2] , '</a></td>';
	// Edit Profile... [profile]
	if ($context['allow_edit_profile'])
		echo '
				<td><img src="'.$settings['images_url'].'/profile.gif" alt="" /><br />

<a href="', $scripturl, '?action=profile">' , $txt[79] , '</a></td>';

	// Go to PM center... [pm]
	if ($context['user']['is_logged'] && $context['allow_pm'])
		echo '
				<td><img src="'.$settings['images_url'].'/pm.gif" alt="" /><br />

<a href="', $scripturl, '?action=pm">' , $txt['pm_short'] , ' ', $context['user']['unread_messages'] > 0 ? '[<strong>'. $context['user']['unread_messages'] . '</strong>]' : '' , '</a></td>';
// The [calendar]!
	if ($context['allow_calendar'])
		echo '
				<td><img src="'.$settings['images_url'].'/home.gif" alt="" /><br />

<a href="', $scripturl, '?action=calendar">' , $txt['calendar24'] , '</a></td>';
	// the [member] list button
	if ($context['allow_memberlist'])
		echo '
				<td><img src="'.$settings['images_url'].'/mlist.gif" alt="" /><br />

<a href="', $scripturl, '?action=mlist">' , $txt[331] , '</a></td>';
	// If the user is a guest, show [login] button.
	if ($context['user']['is_guest'])
		echo '
				<td><img src="'.$settings['images_url'].'/login.gif" alt="" /><br />

<a href="', $scripturl, '?action=login">' , $txt[34] , '</a></td>';
	// If the user is a guest, also show [register] button.
	if ($context['user']['is_guest'])
		echo '
				<td><img src="'.$settings['images_url'].'/register.gif" alt="" /><br />

<a href="', $scripturl, '?action=register">' , $txt[97] , '</a></td>';
	// Otherwise, they might want to [logout]...
	if ($context['user']['is_logged'])
		echo '
				<td><img src="'.$settings['images_url'].'/logout.gif" alt="" /><br />

<a href="', $scripturl, '?action=logout;sesc=', $context['session_id'], '">' , $txt[108] , '</a></td>';

}



// Generate a strip of buttons.

function template_button_strip($button_strip, $direction = 'top', $force_reset = false, $custom_td = '')

{

	global $settings, $buttons, $context, $txt, $scripturl;
	// Create the buttons...

	foreach ($button_strip as $key => $value)

	{

		if (isset($value['test']) && empty($context[$value['test']]))

		{

			unset($button_strip[$key]);

			continue;

		}

		elseif (!isset($buttons[$key]) || $force_reset)

			$buttons[$key] = '<a href="' . $value['url'] . '" ' .( isset($value['custom']) ? $value['custom'] : '') . '>' . $txt[$value['text']] . '</a>';
		$button_strip[$key] = $buttons[$key];

	}
	if (empty($button_strip))

		return '<td>&nbsp;</td>';
	echo '

		<td class="', $direction == 'top' ? 'main' : 'mirror', 'tab_' , $context['right_to_left'] ? 'last' : 'first' , '">&nbsp;</td>

		<td class="', $direction == 'top' ? 'main' : 'mirror', 'tab_back">', implode(' &nbsp;|&nbsp; ', $button_strip) , '</td>

		<td class="', $direction == 'top' ? 'main' : 'mirror', 'tab_' , $context['right_to_left'] ? 'first' : 'last' , '">&nbsp;</td>';

}
?>